import type { DButtonProps } from '../button';
import React from 'react';
export interface DFooterProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'children'> {
    dClassNamePrefix: string;
    dAlign: 'left' | 'center' | 'right';
    dActions: React.ReactNode[];
    dCancelProps: DButtonProps | undefined;
    dOkProps: DButtonProps | undefined;
    onCancelClick: (() => void | boolean | Promise<boolean>) | undefined;
    onOkClick: (() => void | boolean | Promise<boolean>) | undefined;
    onClose: (() => void) | undefined;
}
export declare function DFooter(props: DFooterProps): JSX.Element | null;
