/// <reference types="react" />
import type { DCloneHTMLElement } from '../../utils/types';
import type { DFormControl } from '../form';
import { DCheckboxGroup } from './CheckboxGroup';
export interface DCheckboxProps extends React.HTMLAttributes<HTMLElement> {
    dRef?: {
        input?: React.ForwardedRef<HTMLInputElement>;
    };
    dFormControl?: DFormControl;
    dModel?: boolean;
    dDisabled?: boolean;
    dIndeterminate?: boolean;
    dInputRender?: DCloneHTMLElement<React.InputHTMLAttributes<HTMLInputElement>>;
    onModelChange?: (checked: boolean) => void;
}
export declare const DCheckbox: {
    (props: DCheckboxProps): JSX.Element | null;
    Group: typeof DCheckboxGroup;
};
