import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { usePrefixConfig, useTranslation } from '../root';
export function DGroup(props) {
    const { children, dLevel, dStep, dSpace, dId, dList, dEmpty } = props;
    //#region Context
    const dPrefix = usePrefixConfig();
    //#endregion
    const [t] = useTranslation();
    return (_jsxs("ul", Object.assign({ className: `${dPrefix}menu__group-list`, role: "group", "aria-labelledby": dId }, { children: [_jsx("li", Object.assign({ id: dId, className: `${dPrefix}menu__group-title`, style: { paddingLeft: dSpace + dLevel * dStep }, role: "presentation" }, { children: children })), dEmpty ? (_jsx("div", Object.assign({ className: `${dPrefix}menu__empty`, style: { paddingLeft: dSpace + (dLevel + 1) * dStep } }, { children: t('No Data') }))) : (dList)] })));
}
